package net.northking.cctp.testbug.dto.project;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;

@ApiModel(description = "规则配置值")
public class RuleConfigValue {

    /**
     * 规则编号<br>
     */
    @ApiModelProperty("规则编号")
    @Size(max = 32, message="规则编号-ruleNo: 数据长度不能 > 32" )
    private String ruleNo;
    /**
     * 规则值<br>
     */
    @ApiModelProperty("规则值")
    @Size(max = 50, message="规则值-ruleValue: 数据长度不能 > 50" )
    private String ruleValue;
    /**
     * 是否选中（1选中 0未选中）<br>
     */
    @ApiModelProperty("是否选中（1选中 0未选中）")
    private Boolean checked;

    public String getRuleNo() {
        return ruleNo;
    }

    public void setRuleNo(String ruleNo) {
        this.ruleNo = ruleNo;
    }

    public String getRuleValue() {
        return ruleValue;
    }

    public void setRuleValue(String ruleValue) {
        this.ruleValue = ruleValue;
    }

    public Boolean getChecked() {
        return checked;
    }

    public void setChecked(Boolean checked) {
        this.checked = checked;
    }
}
